For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet all announcements
        • GETGet system config
        • GETGet system state
        • GETGet system time (unix milliseconds)
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceSystem

Get all announcements

GET
https://api.testnet.paradex.trade/v1/system/announcements
GET
/v1/system/announcements
$curl https://api.testnet.paradex.trade/v1/system/announcements \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "next": "eyJmaWx0ZXIiOiJ7XCJjdXJzb3JcIjpcIjE2NzY1NTAwMTc0MzExMDE2OTk1XCJ9In0=",
3 "prev": "eyJmaWx0ZXIiOnsiTGltaXQiOjEwMCwic3RhcnRfYXQiOjE2ODAwMDAwMDAwMDAwLCJtYXJrZXIiOnsibXNfMjExMCI6IjE2Nzk5OTk5OTk5OTk5In19fQ==",
4 "results": [
5 {
6 "content": "### Scheduled Maintenance\n\nOur platform will undergo scheduled maintenance on **April 10, 2024, from 02:00 to 04:00 UTC**. During this time, trading and deposits will be temporarily unavailable. We apologize for any inconvenience caused.",
7 "expiry_at": 1712803200000,
8 "kind": "UPDATE",
9 "notification_expiry_at": 1712799600000,
10 "title": "Scheduled Maintenance Notification",
11 "visible_at": 1712716800000
12 }
13 ]
14}
get announcements
Was this page helpful?
Previous

Get system config

Next
Built with

Query parameters

cursorstringOptional

Returns the ‘next’ paginated page.

end_atintegerOptional

End Time (unix time millisecond)

page_sizeintegerOptional1-5000Defaults to 100
Limit the number of responses in the page
start_atintegerOptional

Start Time (unix time millisecond)

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error
500
Internal Server Error